# Cash Flow Statement

### Fields

| Field                       | Type                                                                      | Description                            |
| --------------------------- | ------------------------------------------------------------------------- | -------------------------------------- |
| accountsPayable             | Float                                                                     | Accounts Payable                       |
| accountsReceivable          | Float                                                                     | Accounts Receivable                    |
| capex                       | Float                                                                     | CAPEX                                  |
| cashFromFinancingActivities | Float                                                                     | Cash from Financing Activities         |
| cashFromInvestingActivities | Float                                                                     | Cash from Investing Activities         |
| cashFromOperatingActivities | Float                                                                     | Cash from Operating Activities         |
| currencyIsoCode             | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum.md) | Cash Flow Statement Currency           |
| depreciationAmortization    | Float                                                                     | Depreciation and Amortization          |
| dividendsPaid               | Float                                                                     | Dividends Paid                         |
| freeCashFlow                | Float                                                                     | Free Cash Flow                         |
| incomeTaxesPaid             | Float                                                                     | Income Taxes Paid                      |
| interestPaid                | Float                                                                     | Interest Paid                          |
| inventories                 | Float                                                                     | Inventories                            |
| longTermBorrowings          | Float                                                                     | Long-term Borrowings                   |
| netChangeInCash             | Float                                                                     | Net Change in Cash                     |
| netIncome                   | Float                                                                     | Net Income                             |
| period                      | Period                                                                    | Period - Quarterly or Annual           |
| purchasesPpe                | Float                                                                     | Purchases of PPE                       |
| shortTermBorrowings         | Float                                                                     | Short-term Borrowings                  |
| source                      | [Source](/company-data-api/graphql-objects/source-object.md)              | Source URL for the financial statement |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        cashFlowStatements {
            accountsPayable
            accountsReceivable
            capex
            cashFromFinancingActivities
            cashFromInvestingActivities
            cashFromOperatingActivities
            currencyIsoCode
            depreciationAmortization
            dividendsPaid
            freeCashFlow
            incomeTaxesPaid
            interestPaid
            inventories
            longTermBorrowings
            netChangeInCash
            netIncome
            
            period {
                periodType
                endDate
            }
            
            purchasesPpe
            shortTermBorrowings
            
            source {
                url
            }
        }
        
        cashFlowStatementsSources {
            url
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/financials/cash-flow-statement-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
